Home

# Class goog.messaging.PortOperator

The central node of a PortNetwork.

extends goog.Disposable

Instance Method Summary
| `addPort(string name, !goog.messaging.MessageChannel port)` Adds a caller to the network with the given name. This port should have no services registered on it. It will be disposed along with the PortOperator.
| `connectSelfToPort_(string contextName)` Connects together the operator and a caller by creating a {@link MessageChannel} and sending one end to the remote context.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `requestConnection_(string sourceName, (Object|string) message)` Connects two contexts by creating a {@link MessageChannel} and sending one end to one context and the other end to the other. Called when we receive a request from a caller to connect it to another context (including potentially the operator).